<?php
// Déclaration de la fonction syntaxe PHP 5.5 et antérieure
function Addition()
{$nbarguments=func_num_args();
 $tab_arguments=func_get_args();
 $prem_argument=func_get_arg(0);
 $dern_argument=func_get_arg($nbarguments-1);
 echo "--- Etats des arguments ---";
 echo "Nombre d'arguments : $nbarguments".PHP_EOL;
 echo "Premier argument : $prem_argument".PHP_EOL;
 echo "Dernier argument : $dern_argument".PHP_EOL;
 $somme=0;
 for ($i=0; $i<$nbarguments ; $i++)
 {$somme += $tab_arguments[$i];}
 return $somme;
}
echo "Entrez 2 entiers : ";
fscanf(STDIN,"%d %d",$a,$b);
echo "--- Appel de Addition($a,$b) ---".PHP_EOL;
$resultat=Addition($a,$b);
echo "$a + $b = $resultat".PHP_EOL ;
echo "Entrez 4 entiers : ";
fscanf(STDIN,"%d %d %d %d",$c,$d,$e,$f);
echo "--- Appel de Addition($c,$d,$e,$f) ---".PHP_EOL;
$resultat=Addition($c,$d,$e,$f);
echo "$c+$d+$e+$f = $resultat".PHP_EOL ;
?>
